Bug 1788866 (CVE-2019-19925) - CVE-2019-19925 sqlite: zipfileUpdate in ext/misc/zipfile.c mishandles a NULL pathname during an update of a ZIP archive
Summary: CVE-2019-19925 sqlite: zipfileUpdate in ext/misc/zipfile.c mishandles a NULL ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19925
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1788867 1789800 1789808 1801837
Blocks: 1788845
TreeView+ depends on / blocked
 
Reported: 2020-01-08 09:15 UTC by Marian Rehak
Modified: 2021-02-16 20:48 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-17 14:10:19 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0514 0 None None None 2020-02-17 08:29:50 UTC
Red Hat Product Errata RHSA-2020:1810 0 None None None 2020-04-28 15:55:27 UTC

Description Marian Rehak 2020-01-08 09:15:35 UTC
zipfileUpdate in ext/misc/zipfile.c in SQLite 3.30.1 mishandles a NULL pathname during an update of a ZIP archive.

Upstream Fix:

https://github.com/sqlite/sqlite/commit/54d501092d88c0cf89bec4279951f548fb0b8618

Comment 1 Marian Rehak 2020-01-08 09:16:08 UTC
Created sqlite tracking bugs for this issue:

Affects: fedora-30 [bug 1788867]

Comment 2 Huzaifa S. Sidhpurwala 2020-01-10 13:26:44 UTC
Created sqlite tracking bugs for this issue:

Affects: fedora-31 [bug 1789800]

Comment 3 Huzaifa S. Sidhpurwala 2020-01-10 13:38:35 UTC
Statement:

The zip extension was introduced in sqlite-3.22.0, therefore previous versions are not affected by this flaw.

Comment 5 errata-xmlrpc 2020-02-17 08:24:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:0514 https://access.redhat.com/errata/RHSA-2020:0514

Comment 6 errata-xmlrpc 2020-02-17 08:29:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:0514 https://access.redhat.com/errata/RHSA-2020:0514

Comment 7 Product Security DevOps Team 2020-02-17 14:10:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19925

Comment 8 errata-xmlrpc 2020-04-28 15:55:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1810 https://access.redhat.com/errata/RHSA-2020:1810


Note You need to log in before you can comment on or make changes to this bug.